Subject: bug#29586: Please revert change to package deletion

From: Adam Porter <[email-masked]>
Date: Sat, 9 Dec 2017 12:55:48 -0600

On Sat, Dec 9, 2017 at 3:08 AM, John Wiegley <[email-masked]> wrote:
>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>> The disk space is not the issue, I think, not nowadays. I believe the issue
>> is the _number_ of files in the trash: if there are an awful lot of them,
>> they make looking for those "precious" mistakenly deleted files harder. Or
>> at least this is my understanding; I don't use trash, so have no experience
>> of my own to share.
>
> That I can buy. A daily update in my case would result in half a million files
> over the course of a month.

That's not an unreasonable concern, however there are (or ought to be)
some mitigating factors:

1.  Emacs should move the package directory to the trash, not the
individual files within it.  This will appear as a single directory in
the trash.
2.  Trash bin UI should provide filtering and sorting to easily narrow
down what's in it.  For example, using Dolphin in KDE, there is
extensive sorting, by deletion date, original path, filename, size,
etc.  And there's a filter-as-you-type bar to narrow results quickly.

Of course I have no objection to Emacs users who don't want this
behavior.  If the patch I mentioned were merged, everyone could have
the behavior they want instead of it being hard-coded one way or the
other.